Subject: Re: [lmap] New Version Notification for draft-liu-lmap-rest-03.txt

From: Juergen Schoenwaelder <[email-masked]>
Date: Sun, 10 May 2015 08:50:57 +0200

On Sun, May 10, 2015 at 02:20:21PM +0800, Vic Liu(CMCC) wrote:
> Hi Dear Juergen
> 
> Thank you very much for your comment and question.
> For your question about YANG:
> 	In July 2014, we submitted the draft using Rest-style http and Json
> for the LMAP protocol draft and we ran demo afterwards. The JSON formats are
> follow the working group information model. As the discuss going on and well
> in our working group, YANG model is accepted by theWG(which is your draft
> [draft-ietf-lmap-yang-00], and it’s really an amazing work I have to say)
> and we start to follow the working group and add YANG model. We add YANG
> also follow the information model. (The YANG Model here is more like a
> schema and real data is still JSON.)
> 	We realized your question that it's not well format as the
> [draft-ietf-lmap-yang-00] because We find out that some definition of
> parameters are different between the information model draft and YANG model
> draft. So that's also our question to the working group that we think it
> should have the same definition of parameter of both two draft.

Please tell us where you think the YANG data model and the information
model are not consistent. Give us details. I am not going through some
other YANG model that does not even have descriptions to search for
possible differences.
 
> For your second about RESTCONF:
> 	Firstly we do have to apologized for not reference RESTCONF draft,
> it's a big mistake and we'll add the reference ASAP in the next update(Sorry
> for the careless). The answer for your statement can be the second one, a
> subset of RESTconf, because firstly to achieve YANG model transit, the
> Restconf is the one to do it easily. Secondly, because of the previous draft
> is based on Rest-style http, it's not so different to change it to REST
> conf.

Please explain why you think a subset of RESTCONF should be defined
and why simply using RESTCONF is not feasible.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>